Robotics Systems Commons - Tasks #1228
Add a macro for assertion + log message
11/06/2012 03:25 AM - J. Moringen

Status: Resolved Start date: 11/06/2012
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: Logging Estimated time: 0.00 hour
Target version: rsb-0.9

Description

The following is a common idiom:
assert(CONDITIONY);
if ({(CONDITION) {
RSCERROR(logger, "CONDITION violated; this should not happen");

}

We could provide a preprocessor macro for doing the whole thing more compactly.

Associated revisions

Revision 49a3250f - 02/06/2013 07:40 PM - J. Wienke

Provide macros for the logging system which only log, if a boolean conditions is false.

This provides assertion-like logging.

fixes #1228

Merge branch 'task-1228'

History

#1 - 01/29/2013 09:32 AM - J. Wienke

- Status changed from New to In Progress

- Target version set to rsb-0.9

#2 - 01/29/2013 10:28 AM - J. Wienke

Jan, what do you think about the solution proposed in the respective feature branch?

#3 - 02/06/2013 07:41 PM - J. Wienke

- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsclcommit:49a3250fa4223735daaa466cf8b9b7db338481fe.
